# draugr.torch_utilities.writers.torch_module_writer.module_parameter_writer_mixin.ModuleParameterWriterMixin

class draugr.torch_utilities.writers.torch_module_writer.module_parameter_writer_mixin.ModuleParameterWriterMixin

  Bases: `ABC`

  Writer mixin that provides an interface for ‘writing’ torch Module parameters

  __init__()

  Methods

  `__init__`() |

  `parameters`(tag, model, step, **kwargs)

  param tag

  abstract parameters(tag: str, model: Module, step: int, **kwargs) → None
    Parameters

      - tag –

      - model –

      - step –

      - kwargs –